{
  "name": "@push.rocks/smartpromise",
  "private": false,
  "version": "4.0.3",
  "description": "simple promises and Deferred constructs",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "scripts": {
    "test": "(tstest test/ --web)",
    "build": "(tsbuild --web --allowimplicitany)",
    "buildDocs": "tsdoc"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/pushrocks/smartq.git"
  },
  "author": "Lossless GmbH",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/pushrocks/smartq/issues"
  },
  "homepage": "https://gitlab.com/pushrocks/smartq#README",
  "devDependencies": {
    "@gitzone/tsbuild": "^2.1.66",
    "@gitzone/tsrun": "^1.2.42",
    "@gitzone/tstest": "^1.0.74",
    "@pushrocks/tapbundle": "^5.0.8",
    "@types/node": "^20.4.1"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ],
  "type": "module"
}
